Package org.freeplane.api

# Interface TagsRO

All Known Subinterfaces:
  `Proxy.Tags`, `Proxy.TagsRO`, `Tags`

public interface TagsRO

Since:
  1.12.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(String keyword)`
`boolean`
`containsAll(Collection<String> keywords)`
`boolean`
`containsAllCategories(Collection<String> keywords)`
`boolean`
`containsAny(Collection<String> keywords)`
`boolean`
`containsAnyCategory(Collection<String> keywords)`
`boolean`
`containsCategory(String keyword)`
`SortedSet<String>`
`getCategories()`
`List<String>`
`getCategorizedTags()`
`List<? extends Icon>`
`getIcons()`
`List<String>`
`getTags()`

## Method Details

### getTags

List<String> getTags()

### getCategorizedTags

List<String> getCategorizedTags()

### getCategories

SortedSet<String> getCategories()

### getIcons

List<? extends Icon> getIcons()

### contains

boolean contains(String keyword)

### containsAny

boolean containsAny(Collection<String> keywords)

### containsAll

boolean containsAll(Collection<String> keywords)

### containsCategory

boolean containsCategory(String keyword)

### containsAnyCategory

boolean containsAnyCategory(Collection<String> keywords)

### containsAllCategories

boolean containsAllCategories(Collection<String> keywords)